Bug 1480271 - SELinux is preventing qemu-system-x86 from 'read' accesses on the file co7-cockpit-expanded.qcow2.
SELinux is preventing qemu-system-x86 from 'read' accesses on the file co7-co...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:c34710df9ffd42dd946ac2ae188...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 10:44 EDT by jniederm
Modified: 2017-08-14 14:12 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jniederm 2017-08-10 10:44:27 EDT
Description of problem:
virt-manager with existing VMs opened
SELinux is preventing qemu-system-x86 from 'read' accesses on the file co7-cockpit-expanded.qcow2.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that qemu-system-x86 should be allowed read access on the co7-cockpit-expanded.qcow2 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:svirt_t:s0:c498,c698
Target Context                system_u:object_r:virt_image_t:s0
Target Objects                co7-cockpit-expanded.qcow2 [ file ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.3.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.11-300.fc26.x86_64 #1 SMP Mon
                              Jul 17 16:32:11 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-08-10 16:43:05 CEST
Last Seen                     2017-08-10 16:43:05 CEST
Local ID                      b1c11639-9b9e-46d6-b96f-d3e3e97e5f1f

Raw Audit Messages
type=AVC msg=audit(1502376185.774:418): avc:  denied  { read } for  pid=7814 comm="qemu-system-x86" name="co7-cockpit-expanded.qcow2" dev="dm-1" ino=393237 scontext=unconfined_u:unconfined_r:svirt_t:s0:c498,c698 tcontext=system_u:object_r:virt_image_t:s0 tclass=file permissive=0


Hash: qemu-system-x86,svirt_t,virt_image_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1312572
Comment 1 Frank Büttner 2017-08-11 11:17:03 EDT
Description of problem:
Start virt-manager

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport
Comment 2 jniederm 2017-08-14 14:12:17 EDT
Description of problem:
virt-viewer started

it complains about co7-cockpit-expanded.qcow2, which is a user created disk

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.